Package org.apache.solr.client.solrj.request

## Class ReplicaPropertiesApi.DeleteReplicaProperty

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<ReplicaPropertiesApi.DeleteReplicaPropertyResponse>
  - - org.apache.solr.client.solrj.request.ReplicaPropertiesApi.DeleteReplicaProperty

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ReplicaPropertiesApi

    public static class ReplicaPropertiesApi.DeleteReplicaProperty
    extends SolrRequest<ReplicaPropertiesApi.DeleteReplicaPropertyResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`DeleteReplicaProperty​(String collName, String shardName, String replicaName, String propName)` Create a DeleteReplicaProperty request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ReplicaPropertiesApi.DeleteReplicaPropertyResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrRequest.ApiVersion` `getApiVersion()` Indicates which API version this request will make
`SolrParams` `getParams()`
`Set<String>` `getQueryParams()` Parameter keys that are sent via the query string
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeleteReplicaProperty

    public DeleteReplicaProperty​(String collName,
                                 String shardName,
                                 String replicaName,
                                 String propName)

Create a DeleteReplicaProperty request object.

Parameters:
  `collName` - Path param - The name of the collection the replica belongs to.
  `shardName` - Path param - The name of the shard the replica belongs to.
  `replicaName` - Path param - The replica, e.g., `core_node1`.
  `propName` - Path param - The name of the property to delete.

### Method Detail

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<ReplicaPropertiesApi.DeleteReplicaPropertyResponse>`

#### getApiVersion

    public SolrRequest.ApiVersion getApiVersion()

Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<ReplicaPropertiesApi.DeleteReplicaPropertyResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<ReplicaPropertiesApi.DeleteReplicaPropertyResponse>`

#### getQueryParams

    public Set<String> getQueryParams()

Description copied from class: `SolrRequest`
Parameter keys that are sent via the query string

Overrides:
  `getQueryParams` in class `SolrRequest<ReplicaPropertiesApi.DeleteReplicaPropertyResponse>`

#### createResponse

    protected ReplicaPropertiesApi.DeleteReplicaPropertyResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<ReplicaPropertiesApi.DeleteReplicaPropertyResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<ReplicaPropertiesApi.DeleteReplicaPropertyResponse>`
Returns:
  The `ResponseParser`